summaryrefslogtreecommitdiffstats
path: root/libraries/webkit2gtk
diff options
context:
space:
mode:
author Willy Sudiarto Raharjo2016-01-28 17:02:11 +0100
committer Willy Sudiarto Raharjo2016-01-28 17:03:23 +0100
commit4d2609ba9f5336f16eaa8cca08d828659883f240 (patch)
tree9a16e08db70da3ba0064c028b0551c1180a0ba92 /libraries/webkit2gtk
parent04236140f3ff66ef24745029b78af5556474eb53 (diff)
downloadslackbuilds-4d2609ba9f5336f16eaa8cca08d828659883f240.tar.gz
libraries/webkit2gtk: Added (Web content rendering).
Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
Diffstat (limited to 'libraries/webkit2gtk')
-rw-r--r--libraries/webkit2gtk/README9
-rw-r--r--libraries/webkit2gtk/slack-desc19
-rw-r--r--libraries/webkit2gtk/webkit2gtk.SlackBuild93
-rw-r--r--libraries/webkit2gtk/webkit2gtk.info10
4 files changed, 131 insertions, 0 deletions
diff --git a/libraries/webkit2gtk/README b/libraries/webkit2gtk/README
new file mode 100644
index 0000000000..452a4cc3cc
--- /dev/null
+++ b/libraries/webkit2gtk/README
@@ -0,0 +1,9 @@
+WebKitGTK+ is a full-featured port of the WebKit rendering engine,
+suitable for projects requiring any kind of web integration, from
+hybrid HTML/CSS applications to full-fledged web browsers.
+
+It offers WebKit’s full functionality and is useful in a wide range
+of systems from desktop computers to embedded systems like phones,
+tablets, and televisions.
+
+This package provides WebKit2 API and can co-exist with webkitgtk{3}.
diff --git a/libraries/webkit2gtk/slack-desc b/libraries/webkit2gtk/slack-desc
new file mode 100644
index 0000000000..532556f049
--- /dev/null
+++ b/libraries/webkit2gtk/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+webkit2gtk: webkit2gtk (Web content rendering)
+webkit2gtk:
+webkit2gtk: WebKitGTK+ is a full-featured port of the WebKit rendering engine,
+webkit2gtk: suitable for projects requiring any kind of web integration, from
+webkit2gtk: hybrid HTML/CSS applications to full-fledged web browsers.
+webkit2gtk: It offers WebKit’s full functionality and is useful in a wide range
+webkit2gtk: of systems from desktop computers to embedded systems like phones,
+webkit2gtk: tablets, and televisions.
+webkit2gtk:
+webkit2gtk: http://webkitgtk.org/
+webkit2gtk:
diff --git a/libraries/webkit2gtk/webkit2gtk.SlackBuild b/libraries/webkit2gtk/webkit2gtk.SlackBuild
new file mode 100644
index 0000000000..c90f22f0c2
--- /dev/null
+++ b/libraries/webkit2gtk/webkit2gtk.SlackBuild
@@ -0,0 +1,93 @@
+#!/bin/sh
+#
+# Slackware build script for webkit2gtk
+#
+# Copyright 2016 Willy Sudiarto Raharjo <willysr@slackbuilds.org>
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=webkit2gtk
+SRCNAM=webkitgtk
+VERSION=${VERSION:-2.10.6}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i486 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -eu
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $SRCNAM-$VERSION
+tar xvf $CWD/$SRCNAM-$VERSION.tar.xz
+cd $SRCNAM-$VERSION
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+mkdir -p build
+cd build
+ cmake -DPORT=GTK \
+ -DCMAKE_BUILD_TYPE=Release \
+ -DCMAKE_SKIP_RPATH=ON \
+ -DCMAKE_INSTALL_PREFIX=/usr \
+ -DLIB_INSTALL_DIR=/usr/lib${LIBDIRSUFFIX} \
+ -DLIBEXEC_INSTALL_DIR=/usr/lib${LIBDIRSUFFIX}/webkit2gtk-4.0 \
+ ..
+make
+make install DESTDIR=$PKG
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a ../NEWS $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/libraries/webkit2gtk/webkit2gtk.info b/libraries/webkit2gtk/webkit2gtk.info
new file mode 100644
index 0000000000..0339599a2a
--- /dev/null
+++ b/libraries/webkit2gtk/webkit2gtk.info
@@ -0,0 +1,10 @@
+PRGNAM="webkit2gtk"
+VERSION="2.10.6"
+HOMEPAGE="http://webkitgtk.org/"
+DOWNLOAD="http://webkitgtk.org/releases/webkitgtk-2.10.6.tar.xz"
+MD5SUM="50c52ffc0069ba2376101b5d211226fb"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES="geoclue hyphen"
+MAINTAINER="Willy Sudiarto Raharjo"
+EMAIL="willysr@slackbuilds.org"